Bug 2034643 - New hosts UI, when navigated back to host detail from jobs detail, old ui is shown instead of new
Summary: New hosts UI, when navigated back to host detail from jobs detail, old ui is ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.11.0
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-21 15:23 UTC by tstrych
Modified: 2022-07-05 14:31 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-5.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-05 14:31:12 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34362 0 Normal New New hosts UI, when navigated back to host detail from jobs detail, old ui is shown instead of new 2022-02-01 12:22:54 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:31:28 UTC

Description tstrych 2021-12-21 15:23:51 UTC
Description of problem:
Prerequisite: New host details UI is set to Yes.
When navigated back to host detail from jobs detail, old ui is shown instead of new,

Version-Release number of selected component (if applicable):
7.0 snap 2 

How reproducible:


Steps to Reproduce:
1. Administer -> Settings -> change 'New host details UI' to Yes
2. apply REX action on the host AAA
3. navigate to All hosts -> AAA
4. In recent jobs -> look for the job from step 2.
5. In the job detail, scroll down and click on Host details button

Actual results:
User is navigated back to old UI

Expected results:
User should be navigated to new UI

Additional info:
It can be any kind of job performed on the host.
Please also take a look at other appearances of getting back to host detail.

Comment 1 tstrych 2021-12-21 15:31:15 UTC
I would say this one is under the REX so

Comment 2 Ondřej Ezr 2022-02-01 12:22:53 UTC
Created redmine issue https://projects.theforeman.org/issues/34362 from this bug

Comment 3 Bryan Kearney 2022-02-02 00:05:07 UTC
Upstream bug assigned to afeferku

Comment 4 Bryan Kearney 2022-02-02 00:05:09 UTC
Upstream bug assigned to afeferku

Comment 5 aabramov 2022-02-02 17:11:37 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34362 has been resolved.

Comment 6 Patrick Creech 2022-02-16 15:42:58 UTC
Amir,

Looks like the attached redmine is slated for foreman_remote_execution 5.1.1.  When will that version be released?

Comment 9 Peter Ondrejka 2022-03-01 11:07:27 UTC
Verified on Sat 7.0 snap 11, user is navigated back to the new host UI form job invocation pages

Comment 13 errata-xmlrpc 2022-07-05 14:31:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.